Table of Contents

Breaking Changes

The following sections provide more details on the breaking changes introduced for release 2024.13.0.

Performance Improvements

The work started in V11 to improve the performance of API calls, through eliminating the over-fetching of unnecessary data for single or batches of records using their id's, has now been completed. This accidental over-fetching on the GET API calls resulted in considerable overhead on both the client and server by returning unnecessary, additional data linked to resources. This additional data was never needed as part of the information required to view or update the specific resources. The remaining existing id-based single and batch GET calls have now been reworked to get rid of the overhead.

Business Rules

The business rules for the properties on the Resource->ContactDetail have been adjusted to specify the minimum and maximum allowed length for a value.

Impacted Areas

API Method Path
RES POST /Modules/RES/Resources
RES POST /Modules/RES/Resources/Batch